Get forecast
Get forecast values for an existing model.
Returns the generated forecast results for a trained model. Each result includes a date and predicted demand value. Supports filtering by date range.
Enter your PredictHQ API key. The Bearer prefix is added automatically.
When calling the API directly, send: Authorization: Bearer <YOUR_API_KEY> as documented at https://docs.predicthq.com/api/overview/authenticating
The unique identifier of the forecast model.
Filters forecast results after the specified date (exclusive).
Expected format: YYYY-MM-DD
Filters forecast results on or after the specified date.
Expected format: YYYY-MM-DD.
Example: 2025-01-01
Filters forecast results before the specified date (exclusive).
Expected format: YYYY-MM-DD.
Filters forecast results on or before the specified date.
Expected format: YYYY-MM-DD.
Example: 2025-01-07
The maximum number of results to return per page. Defaults to 10.
10The number of results to skip before returning. Used for pagination. Defaults to 0.
0Successful Response
List of error messages, if any.
[]List of warning messages, if any.
[]Total number of results matching the query.
URL for the next page of results. Null if no more results.
URL for the previous page of results. Null if on the first page.
Bad Request
Unauthorized
Payment Required
Forbidden
Not Found
GET /v1/forecasts/models/{model_id}/forecast HTTP/1.1
Host: api.predicthq.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"errors": [
"text"
],
"warnings": [
"text"
],
"count": 1,
"next": "text",
"previous": "text",
"results": [
{
"date": "2026-01-01",
"forecast": 1,
"phq_explainability": {
"events": [
{
"id": "text",
"category": "text",
"title": "text",
"start_local": "2026-01-01T00:00:00.000Z",
"end_local": "2026-01-01T00:00:00.000Z",
"phq_rank": 1,
"local_rank": 1
}
]
},
"phq_features": [
{
"name": "text",
"value": 1
}
]
}
]
}OpenAPI spec
The OpenAPI spec for Forecasts API is in the Forecasts API documentation.
Guides
These guides cover Forecasts API in more detail:
Last updated
Was this helpful?